import request from '@/utils/request'

// 查询联络员信息列表
export function listInformation(query) {
  return request({
    url: '/basicData/xcrContactInformation/findByPage',
    method: 'get',
    params: query
  })
}

// 查询联络员信息详细
export function getInformation(xhCodeId) {
  return request({
    url: '/basicData/xcrContactInformation/' + xhCodeId,
    method: 'get'
  })
}

// 新增联络员信息
export function addInformation(data) {
  return request({
    url: '/basicData/xcrContactInformation',
    method: 'post',
    data: data
  })
}

// 修改联络员信息
export function updateInformation(data) {
  return request({
    url: '/basicData/xcrContactInformation',
    method: 'put',
    data: data
  })
}

// 删除联络员信息
export function delInformation(xhCodeId) {
  return request({
    url: '/basicData/xcrContactInformation/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delInformationBatch(ids) {
  return request.post('/basicData/xcrContactInformation/delete',ids)
}
